Skip to content

Add channel to contact

View .md
POST

Add a new communication channel to an existing contact.

Authorization

  • Authorizationheaderrequired

    Bearer YOUR_API_KEY. Create a key in the dashboard.

Path parameters

  • contactIdstringrequired

Body

application/json

  • channelstringrequired

    Channel type.

    One ofsmswhatsappemailtelegraminstagrammessengervoice
  • identifierstringrequired

    Channel identifier (phone number in E.164 format or email address).

  • countryCodestring

    ISO country code for phone numbers.

    Limitsmin length 2 · max length 2
  • labelstring

    Optional label for the channel.

    Limitsmax length 50
  • isPrimaryboolean

    Whether this should be the primary channel for its type.

    Defaultfalse

Responses

201Channel added.
  • channelobjectrequired

    A communication channel for a contact.

    12 properties
    • idstringrequired
    • channelstringrequired

      Channel type.

      One ofsmswhatsappemailtelegraminstagrammessengervoice
    • identifierstringrequired

      Channel identifier (phone number or email address).

    • countryCodestring

      ISO country code for phone numbers.

    • labelstring

      Optional label for the channel.

    • isPrimarybooleanrequired

      Whether this is the primary channel for its type.

    • verifiedbooleanrequired

      Whether this channel has been verified.

    • metricsobject

      Delivery metrics for this channel.

      5 properties
      • successCountinteger
      • failureCountinteger
      • totalAttemptsinteger
      • avgDeliveryTimeMsnumber
      • lastSuccessAtstring<date-time>
    • lastInboundAtstring<date-time>

      Last time a message was received on this channel.

    • metadataobject
      1 properties
      • {key}string
    • createdAtstring<date-time>required
    • updatedAtstring<date-time>
400Invalid request or duplicate identifier.
  • codestringrequired
  • messagestringrequired
  • detailsobject
401Unauthorized.
  • codestringrequired
  • messagestringrequired
  • detailsobject
404Contact not found.
  • codestringrequired
  • messagestringrequired
  • detailsobject